#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
int main(){
	int brKom, kuca, vreme;
	std::cin >> brKom >> kuca;
	std::vector<int> mestoKuca(brKom);
	for (int i =0; i<brKom; i++){
		std::cin >> mestoKuca[i];
	}
	auto rez = std::minmax_element(mestoKuca.begin(), mestoKuca.end());
	if(kuca<*rez.second && kuca>*rez.first) {
    	if((std::abs(kuca-*rez.first)) <= (std::abs(kuca-*rez.second))) {
    	vreme = std::abs(kuca-*rez.first)*2 + std::abs(kuca-*rez.second);
		}
		else {
		vreme = std::abs(kuca-*rez.first) + std::abs(kuca-*rez.second)*2;
		}
	}
	else if (kuca>*rez.second){
		vreme = std::abs(kuca-*rez.first);
	}
	else {
		vreme = std::abs(kuca-*rez.second);
	}
     std::cout<< vreme;
return 0;
}